<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>footnote documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">footnote documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content injectable">
                   <div class="content-data">







<ol class="breadcrumb">
  <li>Injectables</li>
  <li>RestProvider</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/providers/rest/rest.ts</code>
        </p>

            <p class="comment">
                <h3>Description</h3>
            </p>
            <p class="comment">
                <p>Provider for Rest-Requests</p>

            </p>


            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#app">app</a>
                            </li>
                            <li>
                                <a href="#id">id</a>
                            </li>
                            <li>
                                <a href="#usergroupid">usergroupid</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#deleteInfo">deleteInfo</a>
                            </li>
                            <li>
                                <a href="#deleteObject">deleteObject</a>
                            </li>
                            <li>
                                <a href="#editInfo">editInfo</a>
                            </li>
                            <li>
                                <a href="#editObject">editObject</a>
                            </li>
                            <li>
                                <a href="#getFeedsPerUserGroup">getFeedsPerUserGroup</a>
                            </li>
                            <li>
                                <a href="#getFileWithPath">getFileWithPath</a>
                            </li>
                            <li>
                                <a href="#getObjects">getObjects</a>
                            </li>
                            <li>
                                <a href="#getObjectsNotes">getObjectsNotes</a>
                            </li>
                            <li>
                                <a href="#getObjectsPerFeed">getObjectsPerFeed</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#getToken">getToken</a>
                            </li>
                            <li>
                                <a href="#getUserGroupFeeds">getUserGroupFeeds</a>
                            </li>
                            <li>
                                <a href="#getUserGroups">getUserGroups</a>
                            </li>
                            <li>
                                <a href="#insertObject">insertObject</a>
                            </li>
                            <li>
                                <a href="#json">json</a>
                            </li>
                            <li>
                                <a href="#postNewTarget">postNewTarget</a>
                            </li>
                            <li>
                                <a href="#saveInfo">saveInfo</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#upload">upload</a>
                            </li>
                            <li>
                                <a href="#uploadImage">uploadImage</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

            <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(http: <a href="../injectables/HttpProvider.html">HttpProvider</a>, app: App, HTTP: <a href="https://angular.io/api/common/http/HttpClient" target="_blank">HttpClient</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/providers/rest/rest.ts:14</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Constructor</p>
</div>
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>http</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/HttpProvider.html" target="_self" >HttpProvider</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>app</td>
                                                  
                                                        <td>
                                                                    <code>App</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>HTTP</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/common/http/HttpClient" target="_blank" >HttpClient</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="deleteInfo"></a>
                        <span class="name">
                            <b>
                            deleteInfo
                            </b>
                            <a href="#deleteInfo"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>deleteInfo(info)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="61" class="link-to-prism">src/providers/rest/rest.ts:61</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>delete info</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>info</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="deleteObject"></a>
                        <span class="name">
                            <b>
                            deleteObject
                            </b>
                            <a href="#deleteObject"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>deleteObject(object)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="77" class="link-to-prism">src/providers/rest/rest.ts:77</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>delete Object</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>object</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="editInfo"></a>
                        <span class="name">
                            <b>
                            editInfo
                            </b>
                            <a href="#editInfo"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>editInfo(info)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">src/providers/rest/rest.ts:53</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>edit info</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>info</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="editObject"></a>
                        <span class="name">
                            <b>
                            editObject
                            </b>
                            <a href="#editObject"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>editObject(object)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="69" class="link-to-prism">src/providers/rest/rest.ts:69</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>edit Object</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>object</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getFeedsPerUserGroup"></a>
                        <span class="name">
                            <b>
                            getFeedsPerUserGroup
                            </b>
                            <a href="#getFeedsPerUserGroup"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getFeedsPerUserGroup(id)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="126" class="link-to-prism">src/providers/rest/rest.ts:126</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>get Feeds by Usergroup</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getFileWithPath"></a>
                        <span class="name">
                            <b>
                            getFileWithPath
                            </b>
                            <a href="#getFileWithPath"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getFileWithPath(image)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="101" class="link-to-prism">src/providers/rest/rest.ts:101</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>get File with Path</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>image</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getObjects"></a>
                        <span class="name">
                            <b>
                            getObjects
                            </b>
                            <a href="#getObjects"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getObjects()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/providers/rest/rest.ts:36</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>get Objects</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getObjectsNotes"></a>
                        <span class="name">
                            <b>
                            getObjectsNotes
                            </b>
                            <a href="#getObjectsNotes"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getObjectsNotes(id)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="93" class="link-to-prism">src/providers/rest/rest.ts:93</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>get Notes of Objects</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getObjectsPerFeed"></a>
                        <span class="name">
                            <b>
                            getObjectsPerFeed
                            </b>
                            <a href="#getObjectsPerFeed"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getObjectsPerFeed(id)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="151" class="link-to-prism">src/providers/rest/rest.ts:151</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>get Objects per feeed</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getToken"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            getToken
                            </b>
                            <a href="#getToken"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getToken()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="158" class="link-to-prism">src/providers/rest/rest.ts:158</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>get Token</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getUserGroupFeeds"></a>
                        <span class="name">
                            <b>
                            getUserGroupFeeds
                            </b>
                            <a href="#getUserGroupFeeds"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getUserGroupFeeds(id)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="142" class="link-to-prism">src/providers/rest/rest.ts:142</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>get feed by usergroup</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getUserGroups"></a>
                        <span class="name">
                            <b>
                            getUserGroups
                            </b>
                            <a href="#getUserGroups"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getUserGroups(id)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="134" class="link-to-prism">src/providers/rest/rest.ts:134</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>get Usergroup</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="insertObject"></a>
                        <span class="name">
                            <b>
                            insertObject
                            </b>
                            <a href="#insertObject"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>insertObject(obj)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="85" class="link-to-prism">src/providers/rest/rest.ts:85</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>insert Object</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>obj</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="json"></a>
                        <span class="name">
                            <b>
                            json
                            </b>
                            <a href="#json"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>json()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/providers/rest/rest.ts:29</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>test server</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="postNewTarget"></a>
                        <span class="name">
                            <b>
                            postNewTarget
                            </b>
                            <a href="#postNewTarget"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>postNewTarget(json)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="118" class="link-to-prism">src/providers/rest/rest.ts:118</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>post new Target on Vuforia</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>json</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="saveInfo"></a>
                        <span class="name">
                            <b>
                            saveInfo
                            </b>
                            <a href="#saveInfo"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>saveInfo(info, id)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/providers/rest/rest.ts:45</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>save info</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>info</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>id</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="upload"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            upload
                            </b>
                            <a href="#upload"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>upload(files, id, typ, usergroupid)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="165" class="link-to-prism">src/providers/rest/rest.ts:165</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>uploads an image</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>files</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>id</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>typ</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>usergroupid</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadImage"></a>
                        <span class="name">
                            <b>
                            uploadImage
                            </b>
                            <a href="#uploadImage"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>uploadImage(blob, filename)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="110" class="link-to-prism">src/providers/rest/rest.ts:110</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>upload Image</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>blob</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>filename</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="app"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            app</b>
                            <a href="#app"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>App</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/providers/rest/rest.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="id"></a>
                        <span class="name">
                            <b>
                            id</b>
                            <a href="#id"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">src/providers/rest/rest.ts:13</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="usergroupid"></a>
                        <span class="name">
                            <b>
                            usergroupid</b>
                            <a href="#usergroupid"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/providers/rest/rest.ts:14</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Injectable } from &#x27;@angular/core&#x27;;
import { HttpClient, HttpRequest, HttpEventType, HttpResponse } from &#x27;@angular/common/http&#x27;;
import { Subject } from &#x27;rxjs/Subject&#x27;;
import { HttpProvider } from &#x27;../http/http&#x27;;
import { TabsPage } from &#x27;../../pages/tabs/tabs&#x27;;
import { App } from &#x27;ionic-angular&#x27;;

/**
 * Provider for Rest-Requests
 */
@Injectable()
export class RestProvider {
  id;
  usergroupid: any;

  /**
   * Constructor
   * @param http 
   * @param app 
   * @param HTTP 
   */
  constructor(private http: HttpProvider, public app: App, private HTTP: HttpClient) {
    console.log(&#x27;Hello RestProvider Provider&#x27;);
  }

  /**
   * test server
   */
  json() {
    return this.http.http.get(this.http.url + &#x27;rest/json&#x27;, {}, { responseType: &quot;json&quot; })
  }

  /**
   * get Objects
   */
  getObjects() {
    return this.http.http.get(this.http.url + &#x27;rest/realObject&#x27;, {}, { responseType: &quot;json&quot; });
  }

  /**
   * save info
   * @param info 
   * @param id 
   */
  saveInfo(info, id) {
    return this.http.http.post(this.http.url + &#x27;rest/note/insertNote/&#x27; + id, { &quot;content&quot;: info }, { responseType: &#x27;json&#x27; });
  }

  /**
   * edit info
   * @param info 
   */
  editInfo(info) {
    return this.http.http.post(this.http.url + &#x27;rest/note&#x27;, info, { responseType: &#x27;text&#x27; });
  }

  /**
   * delete info
   * @param info 
   */
  deleteInfo(info) {
    return this.http.http.post(this.http.url + &#x27;rest/realObject&#x27;, info, {});
  }

  /**
   * edit Object
   * @param object 
   */
  editObject(object) {
    return this.http.http.post(this.http.url + &#x27;rest/realObject&#x27;, object, { responseType: &#x27;text&#x27; });
  }

  /**
   * delete Object
   * @param object 
   */
  deleteObject(object) {
    return this.http.http.delete(this.http.url + &#x27;rest/realObject/&#x27; + object, {}, { responseType: &#x27;json&#x27; });
  }

  /**
   * insert Object
   * @param obj 
   */
  insertObject(obj) {
    return this.http.http.put(this.http.url + &#x27;rest/realObject&#x27;, obj, { responseType: &#x27;json&#x27; });
  }

  /**
   * get Notes of Objects
   * @param id 
   */
  getObjectsNotes(id) {
    return this.http.http.get(this.http.url + &#x27;rest/realObject/getObjectsNotes/&#x27; + id, {}, { responseType: &quot;json&quot; });
  }

  /**
   * get File with Path
   * @param image 
   */
  getFileWithPath(image) {
    return this.http.http.get(this.http.url + &quot;FileHandlerServlet?filename&#x3D;&quot; + image, {}, {});
  }

  /**
   * upload Image
   * @param blob 
   * @param filename 
   */
  uploadImage(blob, filename) {
    return this.http.http.post(this.http.url + &quot;FileHandlerServlet?filename&#x3D;&quot; + filename, blob, {});
  }

  /**
   * post new Target on Vuforia
   * @param json 
   */
  postNewTarget(json) {
    return this.http.http.post(this.http.url + &quot;rest/realObject/postNewTarget&quot;, json, {});
  }

  /**
   * get Feeds by Usergroup
   * @param id 
   */
  getFeedsPerUserGroup(id): any {
    return this.http.http.get(this.http.url + &#x27;rest/realObjectFeed/findRealObjectFeedsbyUsergroup/&#x27; + id, {}, { responseType: &quot;json&quot; });
  }

  /**
   * get Usergroup
   * @param id 
   */
  getUserGroups(id): any {
    return this.http.http.get(this.http.url + &#x27;rest/UserGroup/getUserGroupsbyUserid/&#x27; + id, {}, { responseType: &quot;json&quot; })
  }

  /**
   * get feed by usergroup
   * @param id 
   */
  getUserGroupFeeds(id): any {
    return this.http.http.get(this.http.url + &#x27;rest/realObjectFeed/findRealObjectFeedsbyUsergroup/&#x27; + id, {}, { responseType: &quot;json&quot; })

  }

  /**
   * get Objects per feeed
   * @param id 
   */
  getObjectsPerFeed(id): any {
    return this.http.http.get(this.http.url + &#x27;rest/realObject/findRealObjectbyFeed/&#x27; + id, {}, { responseType: &quot;json&quot; })
  }

  /**
   * get Token
   */
  public getToken(): string {
    return localStorage.getItem(&#x27;token&#x27;);
  }

  /**
   * uploads an image
   */
  public upload(files, id, typ, usergroupid) {
    this.id &#x3D; id;
    this.usergroupid &#x3D; usergroupid
    // this will be the our resulting map
    const status &#x3D; {};

    var progress;

    for (var i &#x3D; 0; i &lt; files.length; i++) {
      var file &#x3D; files[i];
      var id &#x3D; id;

      // create a http-post request and pass the form
      // tell it to report the upload progress

      var reader &#x3D; new FileReader();

      reader.onload &#x3D; (e) &#x3D;&gt; {
        var dataURI &#x3D; reader.result;
        console.log(dataURI);
        //https://stackoverflow.com/questions/12168909/blob-from-dataurl
        // convert base64 to raw binary data held in a string
        // doesn&#x27;t handle URLEncoded DataURIs - see SO answer #6850276 for code that does this
        var byteString &#x3D; atob(dataURI.toString().split(&#x27;,&#x27;)[1]);

        // separate out the mime component
        var mimeString &#x3D; dataURI.toString().split(&#x27;,&#x27;)[0].split(&#x27;:&#x27;)[1].split(&#x27;;&#x27;)[0]

        // write the bytes of the string to an ArrayBuffer
        var ab &#x3D; new ArrayBuffer(byteString.length);

        // create a view into the buffer
        var ia &#x3D; new Uint8Array(ab);

        // set the bytes of the buffer to the correct values
        for (var i &#x3D; 0; i &lt; byteString.length; i++) {
          ia[i] &#x3D; byteString.charCodeAt(i);
        }

        // write the ArrayBuffer to a blob, and you&#x27;re done
        var blob &#x3D; new Blob([ab], { type: mimeString });
        console.log(blob);
        const req &#x3D; new HttpRequest(&#x27;POST&#x27;, this.http.url + &quot;FileHandlerServlet?filename&#x3D;&quot; + file.name + &quot;&amp;&quot; + typ + &quot;&#x3D;&quot; + this.id, blob, {
          reportProgress: true
        });

        // create a new progress-subject for every file
        progress &#x3D; new Subject&lt;number&gt;();

        // send the http-request and subscribe for progress-updates
        this.HTTP.request(req).subscribe(event &#x3D;&gt; {
          if (event.type &#x3D;&#x3D;&#x3D; HttpEventType.UploadProgress) {

            // calculate the progress percentage
            const percentDone &#x3D; Math.round(100 * event.loaded / event.total);

            // pass the percentage into the progress-stream
            progress.next(percentDone);

            // Save every progress-observable in a map of all observables
            status[file.name] &#x3D; {
              progress: progress.asObservable()
            };

            // return the map of progress.observables
            return status;
          } else if (event instanceof HttpResponse) {

            // Close the progress-stream if we get an answer form the API
            // The upload is complete
            progress.complete();
            this.http.presentToast(&quot;Bild hochgeladen&quot;);

            if (this.id &gt; 0 &amp;&amp; typ &#x3D;&#x3D;&#x3D; &quot;realobjectid&quot;) {
              var json &#x3D; { &quot;id&quot;: this.id, &quot;targetname&quot;: file.name };

              this.postNewTarget(json).subscribe(data &#x3D;&gt; {
                console.log(data);
              },
                error &#x3D;&gt; {
                  console.log(error);
                });
            }
            this.app.getActiveNav().setRoot(TabsPage, this.id);
            // Save every progress-observable in a map of all observables
            status[file.name] &#x3D; {
              progress: progress.asObservable()
            };

            // return the map of progress.observables
            return status;
          }
        });


      }
      reader.readAsDataURL(file);

    }
  }
}</code></pre>
    </div>

</div>











                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'injectable';
            var COMPODOC_CURRENT_PAGE_URL = 'RestProvider.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
